
* Program..: VI-PACK.CMD
* Author...: Lyle Burks
* Date.....: 06/07/85
* Notice...: Copyright 1985, All Rights Reserved
*
ERASE
@ 2, 0 SAY "P A C K    V I D E O L O G"
@ 2,72 SAY DATE()
@ 3, 0 SAY "========================================"
@ 3,40 SAY "========================================"
STORE "NO " TO select
@ 5,0 SAY "PACK the entire file? [YES/NO] ";
      GET select PICTURE "!!!"
READ NOUPDATE
IF select <> "YES"
   RETURN
ENDIF
@ 6,0 SAY "VIDEOLOG.OLD will be your backup data file."
IF FILE( "VIDEOLOG.OLD" )
   STORE " " TO select
   @ $+1,0 SAY "Delete the old backup file? (Y/N) ";
           GET select PICTURE "!"
   READ NOUPDATE
   IF select <> "Y"
      RETURN
   ENDIF
   DELETE FILE VIDEOLOG.OLD
ENDIF
USE
RENAME VIDEOLOG.DBF TO VIDEOLOG.OLD
@ $+1,0 SAY " "
*
USE VIDEOLOG.OLD
SET TALK ON
SET ECHO ON
COPY TO VIDEOLOG
USE
USE VIDEOLOG
* ---Recreate index file.
INDEX ON TITLE TO VIDTITLE
USE
USE VIDEOLOG INDEX VIDTITLE
INDEX ON TAPE TO VIDTAPE
USE
SET ECHO OFF
SET TALK OFF
STORE " " TO select
ERASE
@ 22,0 SAY "Strike any key to continue...";
       GET select
READ NOUPDATE
RETURN
* EOF: VI-PACK.CMD
